[ffe] Sync zurl 1.5.1-1 (universe) from Debian unstable (main)

Bug #1553377 reported by Jan Niehusmann on 2016-03-04
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
zurl (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync zurl 1.5.1-1 (universe) from Debian unstable (main)

Changelog entries since current xenial version 1.5.0-1:

zurl (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * Set Standards-Version to 3.9.7
  * Fix lintian warning "command-with-path-in-maintainer-script"

 -- Jan Niehusmann <email address hidden> Thu, 03 Mar 2016 23:13:20 +0100

Upstream changelog:

v. 1.5.1 (2016-02-21)

  * Don't install tests.
  * Fix crash when using --version.
  * Output compact JSON (to match 1.4 behavior).

v. 1.5.0 (2016-02-12)

  * Port to Qt 5.
  * Drop libqjson dependency since Qt 5 has JSON support built-in.

Changed in zurl (Ubuntu):
importance: Undecided → Wishlist
Timo Jyrinki (timo-jyrinki) wrote :

Similar to pushpin, the porting work to Qt 5 is substantial. If this would be wanted to Ubuntu 16.04 LTS, the process documented at https://wiki.ubuntu.com/FreezeExceptionProcess#FeatureFreeze_Exceptions should be followed.

This could also be synced after 16.04 LTS is released in April, to the next development Ubuntu version 16.10.

Hi Timo,

thanks for looking at the sync request,

On Fri, Mar 11, 2016 at 11:29:54AM -0000, Timo Jyrinki wrote:
> The porting work to Qt 5 is substantial and there seem to be also
> internal code refactorings, as seen at the commits at
> http://anonscm.debian.org/cgit/users/jan/pushpin.git/log/?h=upstream
> after the (not tagged) 1.7.0 release.
>
> This could also be synced after 16.04 LTS is released in April, to the
> next development Ubuntu version 16.10.

That's true, 1.8.0 isn't just a bugfix release. I still think that
syncing pushpin 1.8.0 and zurl 1.5.1 would be beneficial for 16.04 LTS:

The intention of the sync request is mainly to have a consistent codebase
for long term support. If 16.04 releases with a version based on Qt4,
the increased effort to backport bug fixes could mean that fixes are
delayed, or that less important fixes won't be backported, at all.

I have built both packages for debian unstable, jessie and wheezy, as
well as ubuntu trusty, vivid and wily.

If you think it will help getting the newer versions into
16.04 LTS, I can install Xenial and create the logs requested in
https://wiki.ubuntu.com/FreezeExceptionProcess#FeatureFreeze_Exceptions.
But please note that, as a debian developer, I don't have the required
ubuntu infrastructure readily available. So I'd rather not do that work
if it's unlikely to get the packages synced at all.

Best regards,
Jan

Jan Niehusmann (jan-debian) wrote :

Hi,

On Sat, Mar 12, 2016 at 11:26:42AM +0100, Jan Niehusmann wrote:
> That's true, 1.8.0 isn't just a bugfix release. I still think that
> syncing pushpin 1.8.0 and zurl 1.5.1 would be beneficial for 16.04 LTS:

As an additional note regarding zurl: Here, the porting to qt5 was done
with release 1.5.0, which is already in Xenial.

The changes between 1.5.0 and 1.5.1 are really minor. (Full diff
attached.)

For pushpin, it's true that 1.8.0 contains the port to qt5, so there are
quite some code changes.

As pushpin and zurl usually go together, having one depending on qt4 and
the other one depending on qt5 could needlessly bloat installations.
(Probably only relevant to dedicated servers, but especially with
containers this is a likely setup.)

Due to the nature of the changes, I consider it highly unlikely that the
update breaks something outside of the package itself.

Best regards,
Jan

see https://wiki.ubuntu.com/FreezeExceptionProcess about how to do a ffe request

summary: - Sync zurl 1.5.1-1 (universe) from Debian unstable (main)
+ [ffe] Sync zurl 1.5.1-1 (universe) from Debian unstable (main)

Please find attached:

- build log of zurl 1.5.1-1 on xenial
- diff of upstream changelog

Output during installation is:

root@xenial:/tmp# dpkg -i zurl_1.5.1-1_amd64.deb
(Reading database ... 12658 files and directories currently installed.)
Preparing to unpack zurl_1.5.1-1_amd64.deb ...
Unpacking zurl (1.5.1-1) over (1.5.1-1) ...
Setting up zurl (1.5.1-1) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for systemd (229-2ubuntu1) ...
root@xenial:/tmp#

The service can be started and successfully forwards request on behalf
of pushpin.

Best regards,
Jan

Iain Lane (laney) wrote :

doko uploaded this already, ignoring feature freeze.

Changed in zurl (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers